﻿@model ContosoUniversity.ViewModels.OperationLogViewModel

@*@model IEnumerable<ContosoUniversity.Models.ThongtinMe>*@

@using PagedList.Mvc;


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

@{
    List<ContosoUniversity.Models.User> lstUser = ViewBag.ListUser != null ? ViewBag.ListUser : new List<ContosoUniversity.Models.User>();
    List<SelectListItem> lstSelected = new List<SelectListItem>();
    for (int i = 0; i < lstUser.Count(); i++)
    {
        var selecteditem = new SelectListItem();
        selecteditem.Text = lstUser.ElementAt(i).UserName;
        selecteditem.Value = i.ToString();
        lstSelected.Add(selecteditem);
    }
}

<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<style>
    .table_danhsach td:last-child {
        width: 100px;
    }

    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.35em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset .p2 {
            background-color: rgb(230, 240, 250);
            margin-top: 25px;
            border-width: 1px;
            border-radius: 3px;
            border-style: solid;
            border-color: rgb(0, 0, 0);
            display: grid;
        }

    .control-label {
        padding-right: 2px;
        padding-left: 5px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    @@media screen and (min-width: 720px) {
        legend {
            width: auto;
            margin-bottom: auto;
            margin-right: 20px;
            border-bottom: none;
        }

        .btn.btn-primary.btn-lg.gradient {
            margin-top: 23px;
        }

        input[type=text], select, input[type=date] {
            width: 100%;
            padding: 5px 5px;
            margin: 0px 0px;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 6px;
            box-sizing: border-box;
        }

        .form-group {
            margin: auto;
            margin-top: 4px;
            margin-bottom: 4px;
        }

        .form-horizontal .form-group {
            margin-left: 0px;
        }
    }
</style>

<h2 class="maintitle"><i class="fa-solid fa-address-book" style="color: #299be4;"></i> Xem lịch sử cách khắc phục</h2>
<hr />

<div class="table-responsive">
    <table class="table table_danhsach" id="table_suco">
        <thead>
            <tr>
                <th>
                    ID
                </th>
                <th>
                    Cách khắc phục
                </th>
                <th>
                    Người tạo
                </th>
                <th>
                    Thời gian tạo
                </th>

            </tr>
        </thead>
        <tbody>

            @foreach (var item in Model.pagination)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.OperationLogID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.OperationCode)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CreateBy)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CreateDate)
                    </td>

                    
                </tr>
            }
        </tbody>
    </table>
</div>

<br />





@section Scripts {
    <link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/locales/bootstrap-datepicker.vi.min.js"></script>
    <script>
        var toggler = document.querySelectorAll('[data-toggle="collapse"]');
        var i;
        for (i = 0; i < toggler.length; i++) {
            toggler[i].addEventListener("click", function () {
                this.ariaExpanded = !JSON.parse(this.ariaExpanded);
            });
        }
    </script>

    
    

    
    @*khong cho back *@
    @*<script type="text/javascript">

        function disableBack() {
            window.history.forward();
        }

        setTimeout("disableBack()", 0);
        window.onunload = function () { null };

    </script>*@

}